Bug 1127017 - [abrt] xorg-x11-server-Xephyr: AbortDDX(): Xephyr killed by SIGABRT
Summary: [abrt] xorg-x11-server-Xephyr: AbortDDX(): Xephyr killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:45455a6b8ab9158109c356064d5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 22:59 UTC by D. Charles Pyle
Modified: 2015-12-02 16:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:21:00 UTC


Attachments (Terms of Use)
File: backtrace (15.62 KB, text/plain)
2014-08-05 22:59 UTC, D. Charles Pyle
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-05 22:59 UTC, D. Charles Pyle
no flags Details
File: core_backtrace (9.04 KB, text/plain)
2014-08-05 23:00 UTC, D. Charles Pyle
no flags Details
File: dso_list (5.22 KB, text/plain)
2014-08-05 23:00 UTC, D. Charles Pyle
no flags Details
File: environ (2.44 KB, text/plain)
2014-08-05 23:00 UTC, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-05 23:00 UTC, D. Charles Pyle
no flags Details
File: maps (25.63 KB, text/plain)
2014-08-05 23:00 UTC, D. Charles Pyle
no flags Details
File: open_fds (52 bytes, text/plain)
2014-08-05 23:00 UTC, D. Charles Pyle
no flags Details
File: proc_pid_status (968 bytes, text/plain)
2014-08-05 23:00 UTC, D. Charles Pyle
no flags Details
File: var_log_messages (352 bytes, text/plain)
2014-08-05 23:00 UTC, D. Charles Pyle
no flags Details

Description D. Charles Pyle 2014-08-05 22:59:57 UTC
Description of problem:
I launched Xephyr with the dm-tool command.  While working with files in the root user logged into the nested window, this crash occurred.  Not sure what else caused it.

Version-Release number of selected component:
xorg-x11-server-Xephyr-1.16.0-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        Xephyr :1 -screen 1664x936
crash_function: AbortDDX
executable:     /usr/bin/Xephyr
kernel:         3.16.0-1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 AbortDDX at kdrive.c:244
 #8 __libc_writev at ../sysdeps/unix/sysv/linux/writev.c:44
 #9 write_vec at xcb_conn.c:248
 #10 _xcb_conn_wait at xcb_conn.c:490
 #11 _xcb_out_send at xcb_out.c:367
 #12 _xcb_out_flush_to at xcb_out.c:394
 #13 wait_for_reply at xcb_in.c:482
 #14 xcb_wait_for_reply at xcb_in.c:520
 #15 xcb_get_input_focus_reply at xproto.c:6438
 #16 xcb_aux_sync at xcb_aux.c:147

Comment 1 D. Charles Pyle 2014-08-05 22:59:58 UTC
Created attachment 924290 [details]
File: backtrace

Comment 2 D. Charles Pyle 2014-08-05 22:59:59 UTC
Created attachment 924291 [details]
File: cgroup

Comment 3 D. Charles Pyle 2014-08-05 23:00:00 UTC
Created attachment 924292 [details]
File: core_backtrace

Comment 4 D. Charles Pyle 2014-08-05 23:00:00 UTC
Created attachment 924293 [details]
File: dso_list

Comment 5 D. Charles Pyle 2014-08-05 23:00:01 UTC
Created attachment 924294 [details]
File: environ

Comment 6 D. Charles Pyle 2014-08-05 23:00:02 UTC
Created attachment 924295 [details]
File: limits

Comment 7 D. Charles Pyle 2014-08-05 23:00:02 UTC
Created attachment 924296 [details]
File: maps

Comment 8 D. Charles Pyle 2014-08-05 23:00:03 UTC
Created attachment 924297 [details]
File: open_fds

Comment 9 D. Charles Pyle 2014-08-05 23:00:04 UTC
Created attachment 924298 [details]
File: proc_pid_status

Comment 10 D. Charles Pyle 2014-08-05 23:00:04 UTC
Created attachment 924299 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-11-04 15:16:31 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-12-02 03:21:02 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.